###############################################################################
#                          Generated on phpdocker.io                          #
###############################################################################
version: "3.1"
services:

    mysql:
      image: mysql:5.7
      container_name: stocklevla-php-mysql
      working_dir: /application
      volumes:
        - .:/application
      environment:
        - MYSQL_ROOT_PASSWORD=password
        - MYSQL_DATABASE=stocklevla
        - MYSQL_USER=hanno
        - MYSQL_PASSWORD=nadine12
      ports:
        - "2082:3306"

    webserver:
      image: nginx:alpine
      container_name: stocklevla-php-webserver
      working_dir: /application
      volumes:
          - .:/application
          - ./phpdocker/nginx/nginx.conf:/etc/nginx/conf.d/default.conf
      ports:
       - "2080:80"

    php-fpm:
      build: phpdocker/php-fpm
      container_name: stocklevla-php-php-fpm
      working_dir: /application
      volumes:
        - .:/application
        - ./phpdocker/php-fpm/php-ini-overrides.ini:/etc/php/7.1/fpm/conf.d/99-overrides.ini

